# -*- coding: utf-8 -*-
from setuphelpers import *
import json

charlemagne_folder = makepath(programfiles32, 'alcuin')
charlemagne_config_file = makepath(charlemagne_folder, 'statim.ini')
configuration_file = 'configuration.json'

def json_to_ini_file(source_file, dest_file):
    with open(source_file) as f:
        conf = json.load(f)

    for key, value in conf.items():
        inifile_writestring(dest_file, 'CONFIGURATION', key, value)

def install():

    if not isfile(configuration_file):
        error('No configuration file found, run the update_package to generate one !')

    print("Configuration of charlemagne Outils ...")
    mkdirs(charlemagne_folder) # In case of the alcuin folder doesnt exist
    json_to_ini_file(configuration_file, charlemagne_config_file)
    print(f"Configuration applied to '{charlemagne_config_file}' file !")

  
def uninstall():
    print(f"Deleting of the configuration file: '{charlemagne_config_file}'")
    remove_file(charlemagne_config_file)
